/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2008 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_ITEM_VIEW_H__
#define __TK_ITEM_VIEW_H__

#include <gtkmm.h>

#include "editor/item_tree.h"

namespace Tk {
  namespace Editor {
    
    class ItemView : public Gtk::ScrolledWindow
      {
      private:
	Tk::Db::Database *_database;
      public:
	ItemView(Tk::Db::Database *database, ItemTree &item_tree);
	void load_entity(const Tk::String &domain, const Tk::Db::Id &entity_id);
      };
    
    
  } /* namespace Editor */
}; /* namespace Tk */

#endif /* __TK_ITEM_VIEW_H__ */
