/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2009 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <boost/variant/get.hpp>

#include "editor/operator.h"

using namespace Tk::Editor;

Operator:: Operator(Tk::Db::Database *database, const Tk::Db::Id &id)
  : Item(database, id, database->get_properties("operator", id) )
{
}

void
Operator:: set_property(const Tk::String &name, Tk::Db::Data::Value &value)
{
  _database->set_property("operator", _id, name, value);
}

Tk::String
Operator:: get_store_cell_text()
{
  Tk::Db::Data::ValueMap::iterator name( _properties.find("name") );
  
  if (name == _properties.end())
    {
      return Tk::String("Operator #") + Tk::String(_id);
    }
  
  return boost::get<Tk::String>(name->second.get_datum().get_value());
}
