/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2008 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_DB_UI_BOOLEAN_VALUE_H__
#define __TK_DB_UI_BOOLEAN_VALUE_H__

#include <gtkmm.h>

#include "libtkdbui/value.h"

namespace Tk {
  namespace Db {
    namespace Ui {
    
    class BooleanValue : public Value, public Gtk::HBox
    {
    private:
      Gtk::ToggleButton    _null;
      Gtk::ToggleButton    _datum;
      
      void update_sensitivity();
      void changed();
      
    public:
      BooleanValue(const Tk::Bool &source = Tk::Bool());
    };
    
    } /* namespace Ui */
  } /* namespace Db */
}; /* namespace Tk */

#endif /* __TK_DB_UI_BOOLEAN_VALUE_H__ */
