/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_RETRIEVER_H__
#define __TK_RETRIEVER_H__

#include <wchar.h>

#include <list>
#include <string>

#include <glibmm.h>

#include "random_types.h"

namespace Tk {

  namespace Random {

    class Retriever
    {
    private:
      unsigned       _count;
      Glib::Thread * _thread;
      Buffer *       _buffer;

      void run();

    protected:
      unsigned &get_count();

    public:
      Retriever(unsigned chars);
      void start();
      Buffer * join();
      virtual Buffer * retrieve() = 0;
    };

  }; /* namespace Random */
  
}; /* namespace Tk */


#endif /* __TK_RETRIEVER_H__ */
